import { ConstructFactory, ConstructFactoryGetInstanceProps, ResourceProvider } from '@aws-amplify/plugin-types';
import { AmplifyStorage, StorageResources } from './construct.js';
import { AmplifyStorageFactoryProps } from './types.js';
/**
 * Singleton factory for a Storage bucket that can be used in `resource.ts` files
 */
export declare class AmplifyStorageFactory implements ConstructFactory<ResourceProvider<StorageResources>> {
    private readonly props;
    private readonly importStack;
    private generator;
    /**
     * Set the properties that will be used to initialize the bucket
     */
    constructor(props: AmplifyStorageFactoryProps, importStack?: string | undefined);
    /**
     * Get a singleton instance of the Bucket
     */
    getInstance: (getInstanceProps: ConstructFactoryGetInstanceProps) => AmplifyStorage;
}
/**
 * Include storage in your Amplify backend.
 * @see https://docs.amplify.aws/gen2/build-a-backend/storage/
 */
export declare const defineStorage: (props: AmplifyStorageFactoryProps) => ConstructFactory<ResourceProvider<StorageResources>>;
//# sourceMappingURL=factory.d.ts.map